package jp.hasc.hasctool.ui.views.grapheditor;

import org.eclipse.jface.viewers.ISelectionChangedListener;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.zest.core.viewers.GraphViewer;

/**
 * Eclipse 3.6 SR2以降で、ブロックを選択してもPropertySheetが更新されない問題に対する、応急処置。
 * GraphViewerの代わりにこのクラスを利用して下さい。
 * @author iwasaki
 */
public class PatchedGraphViewer extends GraphViewer {

	public PatchedGraphViewer(Composite composite, int style) {
		super(composite, style);
	}

	@Override
	public void addPostSelectionChangedListener(
			ISelectionChangedListener listener) {
		//super.addPostSelectionChangedListener(listener);
		super.addSelectionChangedListener(listener);
	}

	@Override
	public void removePostSelectionChangedListener(
			ISelectionChangedListener listener) {
		//super.removePostSelectionChangedListener(listener);
		super.removeSelectionChangedListener(listener);
	}

}
